VFSTEST(1)

NAME
vfstest - tool for testing samba VFS modules

SYNOPSIS

vfstest [-?|--help] [--usage] [-f|--file=STRING] [-c|--command=STRING] [-m|--memreport=INT] [-d|--debuglevel=DEBUGLEVEL] [--debug-stdout] [--configfile=CONFIGFILE] [--option=name=value] [-l|--log-basename=LOGFILEBASE] [--leak-report] [--leak-report-full] [-V|--version]

DESCRIPTION

This tool is part of the samba(7) suite.

vfstest is a small command line utility that has the ability to test dso samba VFS modules. It gives the user the ability to call the various VFS functions manually and supports cascaded VFS modules.

OPTIONS

-c|--command=command
    Execute the specified (semicolon-separated) commands. See below for the commands that are available.

-?|--help
    Print a summary of command line options.

--usage
    Display brief usage message.

-d|--debuglevel=DEBUGLEVEL
    level is an integer from 0 to 10. The default value if this parameter is not specified is 1 for client applications.

    The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, only critical errors and serious warnings will be logged. Level 1 is a reasonable level for day-to-day running - it generates a small amount of information about operations carried out.

    Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic.

    Note that specifying this parameter here will override the log level parameter in the smb.conf file.

--debug-stdout
    This will redirect debug output to STDOUT. By default all clients are logging to STDERR.

--configfile=<configuration file>
    The file specified contains the configuration details required by the client. The information in this file can be general for client and server or only provide client specific like options such as client smb encrypt. See smb.conf for more information. The default configuration file name is determined at compile time.

--option=<name>=<value>
    Set the smb.conf(5) option "<name>" to value "<value>" from the command line. This overrides compiled-in defaults and options read from the configuration file. If a name or a value includes a space, wrap whole --option=name=value into quotes.

-l|--log-basename=logdirectory
    Base directory name for log/debug files. The extension ".progname" will be appended (e.g. log.smbclient, log.smbd, etc...). The log file is never removed by the client.

--leak-report
    Enable talloc leak reporting on exit.

--leak-report-full
    Enable full talloc leak reporting on exit.

-V|--version
    Prints the program version number.

COMMANDS

VFS COMMANDS

        • load <module.so> - Load specified VFS module

        • populate <char> <size> - Populate a data buffer with the specified data

        • showdata [<offset> <len>] - Show data currently in data buffer

        • connect - VFS connect()

        • disconnect - VFS disconnect()

        • disk_free - VFS disk_free()

        • opendir - VFS opendir()

        • readdir - VFS readdir()

        • mkdir - VFS mkdir()

        • rmdir - VFS rmdir()

        • closedir - VFS closedir()

        • open - VFS open()

        • close - VFS close()

        • read - VFS read()

        • write - VFS write()

        • lseek - VFS lseek()

        • rename - VFS rename()

        • fsync - VFS fsync()

        • stat - VFS stat()

        • fstat - VFS fstat()

        • lstat - VFS lstat()

        • unlink - VFS unlink()

        • chmod - VFS chmod()

        • fchmod - VFS fchmod()

        • chown - VFS chown()

        • fchown - VFS fchown()

        • chdir - VFS chdir()

        • getwd - VFS getwd()

        • utime - VFS utime()

        • ftruncate - VFS ftruncate()

        • lock - VFS lock()

        • symlink - VFS symlink()

        • readlink - VFS readlink()

        • link - VFS link()

        • mknod - VFS mknod()

        • realpath - VFS realpath()

        • getxattr - VFS getxattr()

        • listxattr - VFS listxattr()

        • setxattr - VFS setxattr()

        • removexattr - VFS removexattr()

        • fget_nt_acl - VFS fget_nt_acl()

        • get_nt_acl - VFS get_nt_acl()

        • fset_nt_acl - VFS fset_nt_acl()

        • set_nt_acl - VFS open() and fset_nt_acl()

        • sys_acl_get_file - VFS sys_acl_get_file()

        • sys_acl_get_fd - VFS sys_acl_get_fd()

        • sys_acl_blob_get_file - VFS sys_acl_blob_get_file()

        • sys_acl_blob_get_fd - VFS sys_acl_blob_get_fd()

        • sys_acl_delete_def_file - VFS sys_acl_delete_def_file()

        • test_chain - test chain code

        • translate_name - VFS translate_name()

GENERAL COMMANDS

        • conf <smb.conf> - Load a different configuration file

        • help [<command>] - Get list of commands or info about specified command

        • debuglevel <level> - Set debug level

        • freemem - Free memory currently in use

        • exit - Exit vfstest

VERSION

This man page is part of version 4.15.6 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The vfstest man page was written by Jelmer Vernooij. Updated version by Guenter Kukkukk.